Darkmyre

LSPDFR 0.4 & My Plugins

11 posts in this topic

After almost 3 years, LSPDFR has finally received an update to 0.4! Surprisingly, from my initial testing, it would seem that all of my currently released LSPDFR plugins are compatible, meaning you can simply drop them in and continue to use them without needing an update. There may be some aspects of particular plugins that don't work or don't work fully, so if you encounter any issues please post a comment here or (preferably) on the relevant plugins download page.

 

There is one minor caveat, and that is the LSPDFR dispatch audio. In order for dispatch audio to work properly, you will need to copy the contents of GTA\LSPDFR\Police Scanner\Darkmyre to GTA\LSPDFR\audio\scanner\Darkmyre as the scanner audio file location has been moved in 0.4

  • Like 1

Share this post


Link to post
Share on other sites

There are some issues with Patrol Toolkit affecting running plates, should have an update to address these issues out in the next 24 hours.

  • The Best! 3
  • Applause 1
  • Like 2

Share this post


Link to post
Share on other sites
Posted (edited)

Thought I'd leave this here. At first I just threw Police Partner it in together with all the other plugins I have for 0.4 but it crashed when going on duty both by "ForceDuty" and through the LSPDFR duty menu. 

Removed all the plugins from the plugins folder except for PP and it still crashes when going on duty. I have moved the audio files just to be sure.
This didn't happen to me last year on 0.3. Would that be an incomparability issue with 0.4 or something on my side? Noticed that you mentioned an update in the comment section but not sure if it's up and the date is still bad or if it hasn't been updated.
Thanks for the great content throughout the years. Also I can post reviews and comments but I can't find a way of posting a support ticket on mods page.

RagePluginHook_03032019_152810.log

Edited by Maja

Share this post


Link to post
Share on other sites

Unfortunately I've been pretty busy this past week. The update I just uploaded should fix that issue (and the other reported issues with 0.4).

Share this post


Link to post
Share on other sites
3 hours ago, Darkmyre said:

Unfortunately I've been pretty busy this past week. The update I just uploaded should fix that issue (and the other reported issues with 0.4).

No worries and thanks. Noticed that my issue might have been GTA Comes Alive all along as I never removed it, only the plugins in the LSPDFR plugin folder. I had an outdated (From 2016) version to begin with. I have updated it with the one from 2017 from this site and it still crashes. I removed it and now Police Partner works fine with all the other plugins I have. 

Here's a log when GTA CA runs first and then loads PP when going on duty. Perhaps it won't crash if I put GTA CA inside Plugins/LSPDFR and make them load together, but I'll try that later
 

RagePluginHook_03032019_220132.log

Share this post


Link to post
Share on other sites

@Darkmyre Bro i`m not sure if this is a bug, it could be 0.4...?  using PP the policedog will not get in the car now, just stands there and then you have too dismiss it... using both the Rotti and the Shepherd produces the same result. i`m using your latest plugins, and there is no errors in the log? cheers.

Share this post


Link to post
Share on other sites
3 hours ago, Brumbie66 said:

@Darkmyre Bro i`m not sure if this is a bug, it could be 0.4...?  using PP the policedog will not get in the car now, just stands there and then you have too dismiss it... using both the Rotti and the Shepherd produces the same result. i`m using your latest plugins, and there is no errors in the log? cheers.

 

That's my bad, forgot to update the documentation it seems. People were complaining about the dog getting in/out by itself so I added a keybind for it. You'll need to press DPad Left while standing near your vehicle for the dog to get in/out (currently not customizable as this update was kinda rushed for 0.4).

  • Like 1

Share this post


Link to post
Share on other sites

Hi, when I try to do record check, Patrol Kit crashes..any suggestion?

Share this post


Link to post
Share on other sites

i can't seem to get Better Advanced Meta+ to work for me. Is the mod dead or am i just doing something wrong? Any help would be appreciated!!

Share this post


Link to post
Share on other sites
On 3/16/2019 at 4:29 PM, Blane said:

i can't seem to get Better Advanced Meta+ to work for me. Is the mod dead or am i just doing something wrong? Any help would be appreciated!!

 

Better Advanced Meta should work fine, what issues are you having with it?

 

Regarding the other reported plugin issues, hopefully now that LSPDFR 0.4.1 is out I'll be able to get them fixed. I was having a lot of performance issues with 0.4 that made it unpleasant to even try and work on things.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.